# Background Remover

## CLI Arguments

### Background Remover Model

Choose the model responsible for removing the background.

Argument: `--background-remover-model`

Default: `rmbg_2.0`

Choices:&#x20;

* `ben_2`
* `birefnet_general`
* `birefnet_portrait`
* `isnet_general`
* `modnet`
* `rmbg_1.4`
* `rmbg_2.0`
* `silueta`
* `u2net_cloth`
* `u2net_general`
* `u2net_human`
* `u2net_portable`

Example: `--background-remover-model birefnet_general`

### Background Remover Color

Apply red, green blue and alpha values to the background.

Argument: `--background-remover-color`

Default: `0 0 0 0`

Example: `--background-remover-color 0 255 0 255`

## Default Overrides

Modify the `facefusion.ini` file to override the defaults.

```ini
[processors]
background_remover_model = birefnet_general
background_remover_color = 0 255 0 255
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.facefusion.io/3.5.4/usage/cli-arguments/processors/background-remover.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
